org.apache.flume.conf.sink

## Enum SinkConfiguration.SinkConfigurationType

- java.lang.Object
- - java.lang.Enum<SinkConfiguration.SinkConfigurationType>
  - - org.apache.flume.conf.sink.SinkConfiguration.SinkConfigurationType

- All Implemented Interfaces:
    Serializable, Comparable<SinkConfiguration.SinkConfigurationType>
  Enclosing class:
    SinkConfiguration

      public static enum SinkConfiguration.SinkConfigurationType
      extends Enum<SinkConfiguration.SinkConfigurationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNCHBASE` AsyncHBase Sink
    `AVRO` Avro sink
    `ELASTICSEARCH` ElasticSearch Sink
    `FILE_ROLL` Rolling file sink
    `HBASE` HBase Sink
    `HDFS` HDFS Sink provided by org.apache.flume.sink.hdfs.HDFSEventSink
    `HIVE` Hive Sink
    `IRC` IRC Sink provided by org.apache.flume.sink.irc.IRCSink
    `LOGGER` Logger sink
    `MORPHLINE_SOLR` MorphlineSolr sink
    `NULL` Null sink
    `OTHER` Place holder for custom sinks not part of this enumeration.
    `THRIFT` Thrift sink

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SinkConfiguration` | `getConfiguration(String name)`
    `String` | `getSinkConfigurationType()`
    `static SinkConfiguration.SinkConfigurationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SinkConfiguration.SinkConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final SinkConfiguration.SinkConfigurationType OTHER

      Place holder for custom sinks not part of this enumeration.

    - #### NULL

          public static final SinkConfiguration.SinkConfigurationType NULL

      Null sink
      See Also:
        `NullSink`

    - #### LOGGER

          public static final SinkConfiguration.SinkConfigurationType LOGGER

      Logger sink
      See Also:
        `LoggerSink`

    - #### FILE_ROLL

          public static final SinkConfiguration.SinkConfigurationType FILE_ROLL

      Rolling file sink
      See Also:
        `RollingFileSink`

    - #### HDFS

          public static final SinkConfiguration.SinkConfigurationType HDFS

      HDFS Sink provided by org.apache.flume.sink.hdfs.HDFSEventSink

    - #### IRC

          public static final SinkConfiguration.SinkConfigurationType IRC

      IRC Sink provided by org.apache.flume.sink.irc.IRCSink

    - #### AVRO

          public static final SinkConfiguration.SinkConfigurationType AVRO

      Avro sink
      See Also:
        `AvroSink`

    - #### THRIFT

          public static final SinkConfiguration.SinkConfigurationType THRIFT

      Thrift sink
      See Also:
        `ThriftSink`

    - #### ELASTICSEARCH

          public static final SinkConfiguration.SinkConfigurationType ELASTICSEARCH

      ElasticSearch Sink
      See Also:
        `ElasticSearchSink`

    - #### HBASE

          public static final SinkConfiguration.SinkConfigurationType HBASE

      HBase Sink
      See Also:
        `HBaseSink`

    - #### ASYNCHBASE

          public static final SinkConfiguration.SinkConfigurationType ASYNCHBASE

      AsyncHBase Sink
      See Also:
        `AsyncHBaseSink`

    - #### MORPHLINE_SOLR

          public static final SinkConfiguration.SinkConfigurationType MORPHLINE_SOLR

      MorphlineSolr sink
      See Also:
        `MorphlineSolrSink`

    - #### HIVE

          public static final SinkConfiguration.SinkConfigurationType HIVE

      Hive Sink
      See Also:
        `HiveSink`

  - ### Method Detail

    - #### values

          public static SinkConfiguration.SinkConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SinkConfiguration.SinkConfigurationType c : SinkConfiguration.SinkConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SinkConfiguration.SinkConfigurationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSinkConfigurationType

          public String getSinkConfigurationType()

    - #### getConfiguration

          public SinkConfiguration getConfiguration(String name)
                                             throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.